# Uses of Interface
org.eclipse.core.runtime.jobs.IJobFunction

Packages that use IJobFunction
Package
Description
org.eclipse.core.runtime.jobs
Provides core support for scheduling and interacting with background activity.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IJobFunction in org.eclipse.core.runtime.jobs

Methods in org.eclipse.core.runtime.jobs with parameters of type IJobFunction
Modifier and Type
Method
Description
`static Job`
Job.`create(String name, IJobFunction function)`
Creates a new Job that will execute the provided function when it runs.
`static Job`
Job.`createSystem(String name, IJobFunction function)`
Creates a new system `Job` with the given name that will execute the provided function when it runs.

## Uses of IJobFunction in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress with parameters of type IJobFunction
Modifier and Type
Method
Description
`static UIJob`
UIJob.`create(String name, IJobFunction function)`
Creates a new UIJob that will execute the provided function in the UI thread when it runs.